<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>zh/TipsAndTricks/BrokenVserver</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">zh/TipsAndTricks/BrokenVserver</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="zh"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><p class="line867">
<h1 id="A.2BWYJPVVcoTgBT8IZaYt9nDVKhVmhOCluJiMU_yum">如何在一台虚拟服务器上安装 yum</h1>
<span class="anchor" id="line-4"></span><p class="line867"><div class="table-of-contents"><p class="table-of-contents-heading">Contents<ol><li>
<a href="#A.2BT0ZiEV3yfs9i5WcJ_yum.2B.2FwyADE4UdSh2hGYv_CentOS">但我已经拥有 yum，而且用的是 CentOS</a></li><li>
<a href="#A.2BYhF2hA_CentOS_.2BW4mIxU4KbKFnCQ_yum">我的 CentOS 安装上没有 yum</a></li><li>
<a href="#A.2BT2BmL4v0YhGIq5qXU8qL71v8.2Fx8-">你是说我被骗及误导？</a></li><li>
<a href="#A.2BW4mIxQ_yum">安装 yum</a></li><li>
<a href="#A.2BeG5P3U9gdoRRhWg4Tg1PGoirU9Zm.2Fw-">确保你的内核不会被取替</a></li><li>
<a href="#A.2BZKRtiA_yum_.2BU.2Bp1KFOfiMV2hA_CentOS_.2Bj29O9l6T-">撤消 yum 只用原装的 CentOS 软件库</a></li><li>
<a href="#A.2BUXZbg2cJdSh2hI.2FeftM-">其它有用的连结</a></li></ol></li></ol></div> <span class="anchor" id="line-5"></span><span class="anchor" id="line-6"></span><p class="line867">
<h2 id="A.2BT0ZiEV3yfs9i5WcJ_yum.2B.2FwyADE4UdSh2hGYv_CentOS">1. 但我已经拥有 yum，而且用的是 CentOS</h2>
<span class="anchor" id="line-7"></span><p class="line862">很多 Linux 发行版本都采用 <tt>yum</tt> 的一个变种。所有 CentOS 的发布都附上 <tt>yum</tt> 及一组相应的配置文件。某程度上这容让你的系统能运用 CentOS 在世界各地的镜像及更新系统日。有些下游的分叉损坏了些 <tt>yum</tt> 设置，导致它们的系统不能兼容。 <span class="anchor" id="line-8"></span><span class="anchor" id="line-9"></span><p class="line862">基於下列种种原因，CentOS 的支持队决意不会恶化一个本身坏的情况（一个损坏了的 <tt>yum</tt>）。 <span class="anchor" id="line-10"></span><span class="anchor" id="line-11"></span><p class="line867">
<h2 id="A.2BYhF2hA_CentOS_.2BW4mIxU4KbKFnCQ_yum">2. 我的 CentOS 安装上没有 yum</h2>
<span class="anchor" id="line-12"></span><p class="line862">假若 yum 未被安装或不能正常运作，你的系统不是 CentOS。如果你的安装是「建基於」或「改装自」CentOS，但 <tt>yum</tt> 并不存在，它其实不是真正的 CentOS。非开发者根本就没可能在未安装 <tt>yum</tt> 的情况下安装 CentOS。 <span class="anchor" id="line-13"></span><span class="anchor" id="line-14"></span><p class="line862">有数间 VPS（虚拟服务器）的提供者、某些 CentOS 的下游分叉、及它们的管理工具（例如：<a class="http" href="http://wiki.openvz.org/Main_Page">OpenVZ</a>、<a class="http" href="http://cpanel.net/index.html">cPanel</a>、<a class="http" href="http://www.parallels.com/en/support/plesk/">Plesk</a>、<a class="http" href="http://www.webmin.com/">webmin</a>、<a class="http" href="http://www.directadmin.com/">Direct Admin</a>、<a class="http" href="http://bluequartz.org/">BlueQuartz</a>、<a class="http" href="http://www.asterisk.org/">Asterisk</a>、<a class="http" href="http://www.trixbox.org/">Trixbox</a>、<a class="http" href="http://www.elastix.org/">Elastix</a>）似乎只会将 CentOS 的某部份安装在它们的虚拟服务器上。有些甚至将 <tt>yum</tt> 从系统中删除，或者更改 <tt>yum</tt> 的配置文件。常见的改动是将某些本地更改的组件「排除」于 <strong>yum</strong> 组件管理之外。 <span class="anchor" id="line-15"></span>{{{ grep -ir exclud /etc/yum.* <span class="anchor" id="line-16"></span>}}} 这个指令一般能列出被排除的组件。有些就在组件管理系统之外自行「管理」台机器。在[<a class="http" href="http://wiki.centos.org/AdditionalResources/OtherVoices">http://wiki.centos.org/AdditionalResources/OtherVoices</a> 「其它声音」]这一页里，你可以找到更多全部或局部基於 CentOS 的分叉版本。 <span class="anchor" id="line-17"></span><span class="anchor" id="line-18"></span><p class="line862">他们如此做的原因并不清楚。或许他们想令阻止你取代他们的内核。或许他们这样做是出於无知或懒惰。在 CentOS 的立场这样做是考虑不周。<tt>yum</tt> 拥有保护特定组件不受更改的机制。或许他们不懂得阅读 <tt>man&nbsp;yum</tt> 来查看 'exclude' 这个选项；又或许他们不想接听支持电话，因此甘愿销售一套不能更新的系统。采用第二个政策，当新发现的漏洞由於他们而不能修补，进而导致系统被入侵，他们便可以向你收取重新安装、或由备份撤消的费用。 <span class="anchor" id="line-19"></span><span class="anchor" id="line-20"></span><p class="line867"><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> 在你尝试做任何事情之先：请停下来，并询问你的 VPS 提供者<strong>为甚么</strong>他们删除了 yum，以及你如何能够在没有 <tt>yum</tt> 的情况下保持系统在最新的状态。请篇文章作了设些假设，如果除了内核之外还有其它组件需要受保护，盲目跟随下面的推荐或许会损坏你的系统！ <span class="anchor" id="line-21"></span><span class="anchor" id="line-22"></span><p class="line867">
<h2 id="A.2BT2BmL4v0YhGIq5qXU8qL71v8.2Fx8-">3. 你是说我被骗及误导？</h2>
<span class="anchor" id="line-23"></span><p class="line862">对。一个真正的 CentOS 安装拥有 CentOS <tt>内核</tt>、CentOS <tt>centos-release</tt> 组件、CentOS <tt>yum</tt> 组件，而且 <tt>/etc/yum.repos.d/</tt> 目录的内容没有经过增加或删减［或许还会有个本地镜站，或已设置但不启用的附加软件库］。除了配置文件（见 <strong>man rpm</strong>），所有依赖性都被乎合，当你执行 <span class="anchor" id="line-24"></span><span class="anchor" id="line-25"></span><p class="line867"><span class="anchor" id="line-26"></span><span class="anchor" id="line-27"></span><pre><span class="anchor" id="line-1"></span>$ sudo rpm -Va</pre><span class="anchor" id="line-28"></span><p class="line862">这个指令除了显示预期被修改的配置文件外便没有其它输出。（请参考 <strong>man rpm</strong> 来协助你阅读这种清单，它包含了左边细节列的解读表。） <span class="anchor" id="line-29"></span><span class="anchor" id="line-30"></span><p class="line874">一个真正的 CentOS 系统亦可以在任何时候随意进行更新。我们提及这个条件，因为安全性修正亦可能随时出现。如果代管机架的供应商只提供 CentOS 4.X（当中 X 是一个数目字），而不是 CentOS 4，如此类推，这可能意味著有潜在的问题。CentOS 小组（以及上游发行版本的稳定小组）并不容许一个「停留」在不是最新、较旧的子版本，拥有正货产品的身份。 <span class="anchor" id="line-31"></span><span class="anchor" id="line-32"></span><p class="line862">一个测试 <tt>yum</tt> 是否提供预期输出的快速方法是： <span class="anchor" id="line-33"></span><span class="anchor" id="line-34"></span><p class="line867"><span class="anchor" id="line-35"></span><span class="anchor" id="line-36"></span><pre><span class="anchor" id="line-1-1"></span>$ sudo yum grouplist \*</pre><span class="anchor" id="line-37"></span><p class="line874">这样做应该返回 CentOS 4 及 CentOS 5 上所有可供安装的组件群组清单。 <span class="anchor" id="line-38"></span><span class="anchor" id="line-39"></span><p class="line874">irc.freenode.net 上的 #centos IRC 频道里的成员很多时会要求你进行这个测试，以及下面一些相关的测试： <span class="anchor" id="line-40"></span><span class="anchor" id="line-41"></span><p class="line867"><span class="anchor" id="line-42"></span><span class="anchor" id="line-43"></span><pre><span class="anchor" id="line-1-2"></span>$  lsb_release -a ; uname -a ; rpm -V yum centos-release ; ls /etc/yum.repos.d/ ; yum repolist all</pre><span class="anchor" id="line-44"></span><span class="anchor" id="line-45"></span><p class="line862">这样做会产生多行的输出。完整的输出（应该只有数行 —— 少於十，除非严重地出了错）应该被放上 <a class="http" href="http://pastebin.centos.org/">CentOS 剪贴桶</a>，而你应该在频道上通告内容的 URL。另外，有时一个快捷的分辨方法是利用： <span class="anchor" id="line-46"></span><span class="anchor" id="line-47"></span><p class="line867"><span class="anchor" id="line-48"></span><span class="anchor" id="line-49"></span><pre><span class="anchor" id="line-1-3"></span>$ uname -a</pre><span class="anchor" id="line-50"></span><span class="anchor" id="line-51"></span><p class="line874">这里所得的单行输出可以直接贴在 #centos IRC 频道上。在这两种情况下，寻求这些信息的目的是要快速地评估系统的状况。 <span class="anchor" id="line-52"></span><span class="anchor" id="line-53"></span><p class="line862">当被断定所牵涉的不是一台 CentOS 安装时，IRC 频道上常客及「知情」成员便不会继续提供支持或推荐。他们不希望推荐一个可能进一步损坏你的系统的方法，又或者以<a href="./zh(2f)SpoonFeed.html">「填鸭式」</a>教育那些不愿学好系统管理的人们。有关代管机架供应商对系统所做的改动，及它与真正的 CentOS 环境之间的差异，频道上的常客根本不能亦不可能知道。 <span class="anchor" id="line-54"></span><span class="anchor" id="line-55"></span><p class="line874">假若你被骗，请要求你的供应商弥补他的过错。你可以要求他们： <span class="anchor" id="line-56"></span><ul><li><p class="line891"><strong>停止误称他们所提供的为 CentOS。</strong> <span class="anchor" id="line-57"></span></li><li><p class="line891"><strong>提供他们向你所承诺的，否则请退款。</strong> <span class="anchor" id="line-58"></span><span class="anchor" id="line-59"></span></li></ul><p class="line867">
<h2 id="A.2BW4mIxQ_yum">4. 安装 yum</h2>
<span class="anchor" id="line-60"></span><p class="line862">好啦、好啦 —— 我明白了 —— 我拥有的不是 CentOS。但我依然想要 <tt>yum</tt>，或者尝试删除及维修一组损坏了的 yum 配置文件。 <span class="anchor" id="line-61"></span><span class="anchor" id="line-62"></span><p class="line867"><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> 首先，请进行完整的备份并确定它们可被读入。这个步骤可能会失败。 <span class="anchor" id="line-63"></span><span class="anchor" id="line-64"></span><p class="line862">接著，你必须有下列组件才能令 yum 运作 —— 它们都可以从<a class="http" href="http://mirror.centos.org/centos/">任何一个 CentOS 镜像</a>下载： <span class="anchor" id="line-65"></span><span class="anchor" id="line-66"></span><ul><li>centos-release <span class="anchor" id="line-67"></span></li></ul><p class="line874">你应该已经安装了这个组件。你可以这样检查 <span class="anchor" id="line-68"></span><span class="anchor" id="line-69"></span><p class="line867"><span class="anchor" id="line-70"></span><span class="anchor" id="line-71"></span><pre><span class="anchor" id="line-1-4"></span>rpm -q centos-release
<span class="anchor" id="line-2"></span>centos-release-4-4.3.i386</pre><span class="anchor" id="line-72"></span><p class="line874">如果它已经在你的系统上，请检查 yum 的配置文件没有被移走，而且存在於你的系统上： <span class="anchor" id="line-73"></span><span class="anchor" id="line-74"></span><p class="line867"><span class="anchor" id="line-75"></span><span class="anchor" id="line-76"></span><pre><span class="anchor" id="line-1-5"></span>ls -l /etc/yum.repos.d/</pre><span class="anchor" id="line-77"></span><p class="line862">这个目录应该只藏有这些文件：<tt class="backtick">CentOS-Base.repo</tt> 及 <tt class="backtick">CentOS-Media.repo</tt>。如果它们不在里面，你应该在那里创建一个 'attic' 的目录，然后将现有的内容 'mv' 入 attic 中作备份，准备重装所有 centos-release 组件： <span class="anchor" id="line-78"></span><span class="anchor" id="line-79"></span><p class="line867"><span class="anchor" id="line-80"></span><span class="anchor" id="line-81"></span><pre><span class="anchor" id="line-1-6"></span>rpm -Uvh --replacepkgs centos-release.*.rpm</pre><span class="anchor" id="line-82"></span><p class="line862">如果你的系统没有安装 centos-release，你可以在上述指令去除 <tt class="backtick">--replacepkgs</tt>。请创建 ./attic/ 备份目录并将现有的任何文件都移进里面，这样即使你觉得「太深奥」了，仍有一条回头路。 <span class="anchor" id="line-83"></span><span class="anchor" id="line-84"></span><p class="line874">接著你须要下列组件： <span class="anchor" id="line-85"></span><span class="anchor" id="line-86"></span><p class="line867"><strong>CentOS 4</strong> <span class="anchor" id="line-87"></span><span class="anchor" id="line-88"></span><p class="line862">（收录於<a class="http" href="http://mirror.centos.org/centos/4/os/">你取得 centos-release 组件的地方</a>）： <span class="anchor" id="line-89"></span><span class="anchor" id="line-90"></span><ul><li>yum <span class="anchor" id="line-91"></span></li><li>sqlite <span class="anchor" id="line-92"></span></li><li>python-sqlite <span class="anchor" id="line-93"></span></li><li>python-elementtree <span class="anchor" id="line-94"></span></li><li>python-urlgrabber <span class="anchor" id="line-95"></span></li><li>yum-metadata-parser <span class="anchor" id="line-96"></span><span class="anchor" id="line-97"></span><span class="anchor" id="line-98"></span></li></ul><p class="line867"><strong>CentOS 5</strong> <span class="anchor" id="line-99"></span><span class="anchor" id="line-100"></span><p class="line862">（收录於<a class="http" href="http://mirror.centos.org/centos/5/os/">你取得 centos-release 组件的地方</a>）： <span class="anchor" id="line-101"></span><span class="anchor" id="line-102"></span><ul><li>m2crypto <span class="anchor" id="line-103"></span></li><li>python-elementtree <span class="anchor" id="line-104"></span></li><li>python-sqlite <span class="anchor" id="line-105"></span></li><li>python-urlgrabber <span class="anchor" id="line-106"></span></li><li>rpm-python <span class="anchor" id="line-107"></span></li><li>yum <span class="anchor" id="line-108"></span></li><li>yum-metadata-parser <span class="anchor" id="line-109"></span><span class="anchor" id="line-110"></span></li></ul><p class="line867"><strong>CentOS 6</strong> <span class="anchor" id="line-111"></span><span class="anchor" id="line-112"></span><p class="line862">（收录于<a class="http" href="http://mirror.centos.org/centos/6/os/">你取得 centos-release 组件的地方</a>）： <span class="anchor" id="line-113"></span><span class="anchor" id="line-114"></span><ul><li>gpgme <span class="anchor" id="line-115"></span></li><li>pygpgme <span class="anchor" id="line-116"></span></li><li>python-iniparse <span class="anchor" id="line-117"></span></li><li>python-pycurl <span class="anchor" id="line-118"></span></li><li>python-urlgrabber <span class="anchor" id="line-119"></span></li><li>rpm <span class="anchor" id="line-120"></span></li><li>rpm-libs <span class="anchor" id="line-121"></span></li><li>rpm-python <span class="anchor" id="line-122"></span></li><li>yum <span class="anchor" id="line-123"></span></li><li>yum-metadata-parser <span class="anchor" id="line-124"></span></li><li>yum-plugin-fastestmirror <span class="anchor" id="line-125"></span><span class="anchor" id="line-126"></span></li></ul><p class="line867"><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> 这是根据某些受影响人仕所提供的数据而初步为 CentOS 6 预备的列表（截至 2012 年 7 月 19 日）。还有其它组件可能被违漏了，也有可能上述组件已安装在你的系统上。 <span class="anchor" id="line-127"></span><span class="anchor" id="line-128"></span><p class="line874">将这些下载到一个独立的目录，并在这个目录以下列指令安装它们 <span class="anchor" id="line-129"></span><span class="anchor" id="line-130"></span><p class="line867"><span class="anchor" id="line-131"></span><span class="anchor" id="line-132"></span><pre><span class="anchor" id="line-1-7"></span>rpm -Uvh *.rpm</pre><span class="anchor" id="line-133"></span><p class="line862">如前，请将 <tt>/etc/yum.conf</tt> 备份，好让你可以取消任何改动。 <span class="anchor" id="line-134"></span><span class="anchor" id="line-135"></span><span class="anchor" id="line-136"></span><p class="line867">
<h2 id="A.2BeG5P3U9gdoRRhWg4Tg1PGoirU9Zm.2Fw-">5. 确保你的内核不会被取替</h2>
<span class="anchor" id="line-137"></span><p class="line874">现在我们考虑到你期望（运作中的）内核，举例说是个专为 VPS 而设的内核，不会被 CentOS 的内核更新所取替，。 <span class="anchor" id="line-138"></span><span class="anchor" id="line-139"></span><p class="line862">请在你喜欢的编辑器打开 <tt class="backtick">/etc/yum.conf</tt>，然后在 <tt class="backtick">[main]</tt> 部份的结尾加入下面一行： <span class="anchor" id="line-140"></span><span class="anchor" id="line-141"></span><p class="line867"><span class="anchor" id="line-142"></span><span class="anchor" id="line-143"></span><pre><span class="anchor" id="line-1-8"></span>exclude=kernel*</pre><span class="anchor" id="line-144"></span><p class="line862">这样做会防止 yum 安装以 <tt class="backtick">kernel</tt> 符串开头的组件，因此你的 VPS 内核便不用怕被 <tt>yum</tt> 所取替。 <span class="anchor" id="line-145"></span><span class="anchor" id="line-146"></span><p class="line867">
<h2 id="A.2BZKRtiA_yum_.2BU.2Bp1KFOfiMV2hA_CentOS_.2Bj29O9l6T-">6. 撤消 yum 只用原装的 CentOS 软件库</h2>
<span class="anchor" id="line-147"></span><p class="line867"><img alt="&lt;!&gt;" height="16" src="/moin_static1911/modern/img/attention.png" title="&lt;!&gt;" width="16" /> 有些系统管理员发现他们的 yum 配置文件内含有「自己施加」的改变，例如新增、启用、或编辑了配置文件来应用非 CentOS 的<a href="./zh(2f)Repositories.html">软件库</a>。这部份描述一个恢复的方法。 <span class="anchor" id="line-148"></span><span class="anchor" id="line-149"></span><p class="line862">你所需的「原装」文件都收录在 <tt>centos-release</tt> 组件内。其中一个办法就是以手动方式取得这个组件，然后将这些文件恢复到 <tt>/etc/yum.repos.d</tt> 这个目录内。很明显的，<tt>/etc/yum.conf</tt> 或其它文件或许都曾经被修改，而一个类同的修复方法亦适用。 <span class="anchor" id="line-150"></span><span class="anchor" id="line-151"></span><p class="line862">我们假设这个样例是一个 CentOS 4 发行，於是我们利用 <tt>wget</tt> 将适当的 <tt>centos-release</tt> rpm 取到 <tt>/tmp/unpack</tt> 内： <span class="anchor" id="line-152"></span><span class="anchor" id="line-153"></span><p class="line867"><span class="anchor" id="line-154"></span><span class="anchor" id="line-155"></span><span class="anchor" id="line-156"></span><span class="anchor" id="line-157"></span><span class="anchor" id="line-158"></span><span class="anchor" id="line-159"></span><span class="anchor" id="line-160"></span><span class="anchor" id="line-161"></span><span class="anchor" id="line-162"></span><span class="anchor" id="line-163"></span><span class="anchor" id="line-164"></span><span class="anchor" id="line-165"></span><span class="anchor" id="line-166"></span><span class="anchor" id="line-167"></span><span class="anchor" id="line-168"></span><pre><span class="anchor" id="line-1-9"></span>$ # …… 以一般用户的身份
<span class="anchor" id="line-2-1"></span>$ cd /tmp
<span class="anchor" id="line-3"></span>$ mkdir unpack
<span class="anchor" id="line-4"></span>$ wget http://mirror.centos.org/centos-4/4.6/os/i386/CentOS/RPMS/centos-release-4-4.4.i386.rpm
<span class="anchor" id="line-5"></span>$ mkdir -p /tmp/unpack/var/lock/rpm/
<span class="anchor" id="line-6"></span>$ # 在这个特殊情况下（一个「主目录树外」的 RPM --root），
<span class="anchor" id="line-7"></span>$ # 使用 --nodeps 是没有不妥的
<span class="anchor" id="line-8"></span>$ sudo rpm -Uvh --root /tmp/unpack/ --nodeps centos-release*rpm
<span class="anchor" id="line-9"></span>$ # …… 成为 root
<span class="anchor" id="line-10"></span>$ su -
<span class="anchor" id="line-11"></span># cd /etc/yum.repos.d/
<span class="anchor" id="line-12"></span># mkdir attic
<span class="anchor" id="line-13"></span># mv *.repo attic/
<span class="anchor" id="line-14"></span># cp /tmp/unpack/etc/yum.repos.d/* .</pre><span class="anchor" id="line-169"></span><p class="line862">这样，你使再次有一个原装的 CentOS yum 软件库设置。因为我们已经完成在「主目录树外」解压配置文件，我们可以用：<tt>rm&nbsp;-rf&nbsp;/tmp/unpack</tt> 作善后清理。 <span class="anchor" id="line-170"></span><span class="anchor" id="line-171"></span><p class="line867">
<h2 id="A.2BUXZbg2cJdSh2hI.2FeftM-">7. 其它有用的连结</h2>
<span class="anchor" id="line-172"></span><span class="anchor" id="line-173"></span><p class="line862">有时人们会在 IRC 频道上为一台机器，它的代管机构声称安装了 CentOS，但 <tt>yum</tt> 不能正常运作，亦找不到发行在网上镜像的更新，即管已计算传播的延误在内。<a href="./zh(2f)irc_centos_request.html">这一页</a>提供了一些捷径让频道上的常客能辨认冒牌 CentOS 的特性。 <span class="anchor" id="line-174"></span><span class="anchor" id="line-175"></span><p class="line867"><small>Translation of revision 37</small> <span class="anchor" id="line-176"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:24
</body>
</html>
